--- classlist.cpp	Tue Feb 20 14:27:33 2007
+++ classlist.cpp	Wed Oct 03 12:13:15 2007
@@ -99,7 +99,8 @@
             ol.startMemberList();
             found=TRUE;
           }
-          if (!Config_getString("GENERATE_TAGFILE").isEmpty()) 
+          if ((!Config_getString("GENERATE_TAGFILE").isEmpty()) 
+              &&(!(cd->isReference()))) //Don't write references to tagfile
           {
             Doxygen::tagFile << "    <class kind=\"" << cd->compoundTypeString() 
                     << "\">" << convertToXML(cd->name()) << "</class>" << endl;
--- doxygen.cpp	Thu Jul 26 05:57:03 2007
+++ doxygen.cpp	Tue Oct 02 14:32:09 2007
@@ -1430,11 +1430,11 @@
       {
         QCString tagName;
         QCString tagFileName;
-        if (rootNav->tagInfo())
-        {
-          tagName=rootNav->tagInfo()->tagName;
-          tagFileName=rootNav->tagInfo()->fileName;
-        }
+        //if (rootNav->tagInfo())
+        //{
+          //tagName=rootNav->tagInfo()->tagName;
+          //tagFileName=rootNav->tagInfo()->fileName;
+        //}
         NamespaceDef *nd=new NamespaceDef(root->fileName,root->startLine,fullName,tagName,tagFileName);
         nd->setDocumentation(root->doc,root->docFile,root->docLine); // copy docs to definition
         nd->setBriefDescription(root->brief,root->briefFile,root->briefLine);
--- memberdef.cpp	Wed Jul 25 08:20:25 2007
+++ memberdef.cpp	Wed Oct 03 11:52:54 2007
@@ -725,7 +725,10 @@
 QCString MemberDef::getReference() const
 {
   makeResident();
-  if (m_impl->templateMaster)
+  if (this->isReference()){
+    return Definition::getReference();
+  }
+  else if (m_impl->templateMaster)
   {
     return m_impl->templateMaster->getReference();
   }
@@ -1070,7 +1073,8 @@
   if (cd) d=cd; else if (nd) d=nd; else if (fd) d=fd; else d=gd;
 
   // write tag file information of this member
-  if (!Config_getString("GENERATE_TAGFILE").isEmpty())
+  if ((!Config_getString("GENERATE_TAGFILE").isEmpty())
+      &&(!(this->isReference()))) //Don't write external references to the tagfile
   {
     Doxygen::tagFile << "    <member kind=\"";
     switch (m_impl->mtype)
@@ -1117,7 +1121,8 @@
   }
 
   // write search index info
-  if (Config_getBool("SEARCHENGINE"))
+  if (Config_getBool("SEARCHENGINE")
+      &&(!(this->isReference()))) //Don't write external references to the index)
   {
     Doxygen::searchIndex->setCurrentDoc(qualifiedName(),getOutputFileBase(),anchor());
     Doxygen::searchIndex->addWord(localName(),TRUE);
--- namespacedef.cpp	Sun Jul 01 12:07:08 2007
+++ namespacedef.cpp	Wed Oct 03 12:13:15 2007
@@ -663,7 +663,8 @@
         name = nd->displayName();
       }
       ol.writeObjectLink(nd->getReference(),nd->getOutputFileBase(),0,name);
-      if (!Config_getString("GENERATE_TAGFILE").isEmpty()) 
+      if ((!Config_getString("GENERATE_TAGFILE").isEmpty()) 
+          &&(!(nd->isReference()))) //Don't write external references to the tagfile
       {
         Doxygen::tagFile << "    <namespace>" << convertToXML(nd->name()) << "</namespace>" << endl;
       }
